Index: src/include/parser/analyze.h
===================================================================
RCS file: /home/alvherre/cvs/pgsql/src/include/parser/analyze.h,v
retrieving revision 1.29
diff -c -r1.29 analyze.h
*** src/include/parser/analyze.h	31 Dec 2004 22:03:38 -0000	1.29
--- src/include/parser/analyze.h	16 Apr 2005 18:17:22 -0000
***************
*** 21,26 ****
  						int *numParams);
  extern List *parse_sub_analyze(Node *parseTree, ParseState *parentParseState);
  extern List *analyzeCreateSchemaStmt(CreateSchemaStmt *stmt);
! extern void CheckSelectForUpdate(Query *qry);
  
  #endif   /* ANALYZE_H */
--- 21,26 ----
  						int *numParams);
  extern List *parse_sub_analyze(Node *parseTree, ParseState *parentParseState);
  extern List *analyzeCreateSchemaStmt(CreateSchemaStmt *stmt);
! extern void CheckSelectLocking(Query *qry, bool forUpdate);
  
  #endif   /* ANALYZE_H */
Index: src/include/parser/parse_node.h
===================================================================
RCS file: /home/alvherre/cvs/pgsql/src/include/parser/parse_node.h,v
retrieving revision 1.42
diff -c -r1.42 parse_node.h
*** src/include/parser/parse_node.h	31 Dec 2004 22:03:38 -0000	1.42
--- src/include/parser/parse_node.h	16 Apr 2005 18:17:22 -0000
***************
*** 54,59 ****
--- 54,60 ----
  	int			p_numparams;	/* allocated size of p_paramtypes[] */
  	int			p_next_resno;	/* next targetlist resno to assign */
  	List	   *p_forUpdate;	/* FOR UPDATE clause, if any (see gram.y) */
+ 	List	   *p_forShare;		/* FOR SHARE clause, if any (see gram.y) */
  	Node	   *p_value_substitute;		/* what to replace VALUE with, if
  										 * any */
  	bool		p_variableparams;
Index: src/include/storage/lwlock.h
===================================================================
RCS file: /home/alvherre/cvs/pgsql/src/include/storage/lwlock.h,v
retrieving revision 1.17
diff -c -r1.17 lwlock.h
*** src/include/storage/lwlock.h	4 Mar 2005 20:21:07 -0000	1.17
--- src/include/storage/lwlock.h	16 Apr 2005 18:17:21 -0000
***************
*** 40,45 ****
--- 40,48 ----
  	CheckpointStartLock,
  	CLogControlLock,
  	SubtransControlLock,
+ 	MultiXactGenLock,
+ 	MultiXactOffsetControlLock,
+ 	MultiXactMemberControlLock,
  	RelCacheInitLock,
  	BgWriterCommLock,
  
Index: src/include/storage/proc.h
===================================================================
RCS file: /home/alvherre/cvs/pgsql/src/include/storage/proc.h,v
retrieving revision 1.77
diff -c -r1.77 proc.h
*** src/include/storage/proc.h	31 Dec 2004 22:03:42 -0000	1.77
--- src/include/storage/proc.h	18 Apr 2005 03:52:02 -0000
***************
*** 63,68 ****
--- 63,70 ----
  								 * were starting our xact: vacuum must not
  								 * remove tuples deleted by xid >= xmin ! */
  
+ 	MultiXactId	mxmin;			/* smallest MultiXactId we were assigned */
+ 
  	int			pid;			/* This backend's process id */
  	Oid			databaseId;		/* OID of database this backend is using */
  
Index: src/include/storage/sinval.h
===================================================================
RCS file: /home/alvherre/cvs/pgsql/src/include/storage/sinval.h,v
retrieving revision 1.40
diff -c -r1.40 sinval.h
*** src/include/storage/sinval.h	10 Jan 2005 21:57:19 -0000	1.40
--- src/include/storage/sinval.h	18 Apr 2005 03:51:52 -0000
***************
*** 98,103 ****
--- 98,104 ----
  extern TransactionId GetOldestXmin(bool allDbs);
  extern int	CountActiveBackends(void);
  extern int	CountEmptyBackendSlots(void);
+ extern MultiXactId GetNewMinMultiXact(void);
  
  /* Use "struct PGPROC", not PGPROC, to avoid including proc.h here */
  extern struct PGPROC *BackendIdGetProc(BackendId procId);
